Module jdk.compiler
Package com.sun.source.tree

# Interface AnnotationTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

public interface AnnotationTree extends ExpressionTree
A tree node for an annotation. For example:

        @annotationType
        @annotationType ( arguments )

See Java Language Specification:
  9.7 Annotations
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getAnnotationType()`
Returns the annotation type.
`List<? extends ExpressionTree>`
`getArguments()`
Returns the arguments, if any, for the annotation.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getAnnotationType

Tree getAnnotationType()
Returns the annotation type.

Returns:
  the annotation type

### getArguments

List<? extends ExpressionTree> getArguments()
Returns the arguments, if any, for the annotation.

Returns:
  the arguments for the annotation type